#include <stdio.h>

int main()
{
  double A[32][32], B[32][32], C[32][32];
  int i, j, k;

  /* Form matrix A */
  for (i=0; i < 32; i++) {
      for (j=0; j<32; j++) {
	  A[i][j] = (i + 3*j)/5.7;
	  B[i][j] = (i%7 + 19*(j%5))/23.2 - 1.0;
      }
  }

  /* Multiply them */
  for (i = 0; i < 32; i++) for (j = 0; j < 32; j++) {
      C[i][j] = 0;
      for (k = 0; k < 32; k++) C[i][j] += (A[i][k] * B[k][j]);
  }

  /* Print the matrix */
  for (i = 0; i < 32; i++) {
      for (j = 0; j < 32; j++) printf("%0.6g ", C[i][j]);
      printf("\n\n");
  }

}

     
